# PluginDeclaration

abstract class PluginDeclaration : Named

Describes a Gradle plugin under development.

#### Since

2.14

#### See also

JavaGradlePluginPlugin

## Constructors

PluginDeclaration
Link copied to clipboard
constructor(name: String)

## Properties

description
Link copied to clipboard
open var description: String
displayName
Link copied to clipboard
open var displayName: String
id
Link copied to clipboard
open var id: String
implementationClass
Link copied to clipboard
open var implementationClass: String
name
Link copied to clipboard
val name: String

## Functions

getName
Link copied to clipboard
abstract fun getName(): String
getTags
Link copied to clipboard
abstract fun getTags(): SetProperty<String>
Returns the tags property for this plugin declaration.